#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n;
    scanf("%i",&n);
    int x[n+1],y[n+1];
    int res[n+1]={0};
    int xmn=1e5+50,xmaks=-1e5-50,ymn=1e5+50,ymaks=-1e5-50;
    for(int i=1;i<=n;i++)
    {
        scanf("%i%i",&x[i],&y[i]);
        xmn=min(xmn,x[i]);
        xmaks=max(xmaks,x[i]);
        ymn=min(ymn,y[i]);
        ymaks=max(ymaks,y[i]);
        int temp=0;
        for(int j=1;j<=i;j++)
        {
            temp+=abs((x[j]-xmn)*(y[j]-ymn));
        }
        res[i]=max(res[i],temp);
        temp=0;
        for(int j=1;j<=i;j++)
        {
            temp+=abs((x[j]-xmaks)*(y[j]-ymn));
        }
        res[i]=max(res[i],temp);
        temp=0;
        for(int j=1;j<=i;j++)
        {
            temp+=abs((x[j]-xmn)*(y[j]-ymaks));
        }
        res[i]=max(res[i],temp);
        temp=0;
        for(int j=1;j<=i;j++)
        {
            temp+=abs((x[j]-xmaks)*(y[j]-ymaks));
        }
        res[i]=max(res[i],temp);
        temp=0;
    }
    for(int i=1;i<=n;i++)
    {
        printf("%i\n",res[i]);
    }
    return 0;
}